bm::copy_to_array_functor< B > Class Template Reference

Adaptor to copy 1 bits to array. More...

`#include <bmfunc.h>`

## Public Member Functions

| copy_to_array_functor (B *bits)
B * | ptr ()
void | operator() (unsigned bit_idx) BMNOEXCEPT
void | operator() (unsigned bit_idx0, unsigned bit_idx1) BMNOEXCEPT
void | operator() (unsigned bit_idx0, unsigned bit_idx1, unsigned bit_idx2) BMNOEXCEPT
void | operator() (unsigned bit_idx0, unsigned bit_idx1, unsigned bit_idx2, unsigned bit_idx3) BMNOEXCEPT

## Detailed Description

template<typename B>
class bm::copy_to_array_functor< B >

Adaptor to copy 1 bits to array.

Definition at line 543 of file bmfunc.h.

## Constructor & Destructor Documentation

## copy_to_array_functor()

template<typename B>

bm::copy_to_array_functor< B >::copy_to_array_functor | ( | B * | bits | ) |

inline

Definition at line 546 of file bmfunc.h.

## Member Function Documentation

## operator()() [1/4]

template<typename B>

void bm::copy_to_array_functor< B >::operator() | ( | unsigned | bit_idx | ) |

inline

Definition at line 551 of file bmfunc.h.

References BMNOEXCEPT.

## operator()() [2/4]

template<typename B>

void bm::copy_to_array_functor< B >::operator() | ( | unsigned | bit_idx0,
|  | unsigned | bit_idx1 )

inline

Definition at line 553 of file bmfunc.h.

References BMNOEXCEPT.

## operator()() [3/4]

template<typename B>

void bm::copy_to_array_functor< B >::operator() | ( | unsigned | bit_idx0,
|  | unsigned | bit_idx1,
|  | unsigned | bit_idx2 )

inline

Definition at line 560 of file bmfunc.h.

References BMNOEXCEPT.

## operator()() [4/4]

template<typename B>

void bm::copy_to_array_functor< B >::operator() | ( | unsigned | bit_idx0,
|  | unsigned | bit_idx1,
|  | unsigned | bit_idx2,
|  | unsigned | bit_idx3 )

inline

Definition at line 568 of file bmfunc.h.

References BMNOEXCEPT.

## ptr()

template<typename B>

B * bm::copy_to_array_functor< B >::ptr | ( |  | ) |

inline

Definition at line 549 of file bmfunc.h.

Referenced by bm::bit_list(), and bm::bit_list_4().

The documentation for this class was generated from the following file:

- bmfunc.h